Get all purchase orders
https://api.propexo.com/v1/purchase-orders/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the purchase order
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the invoice from the integration vendor
The external ID of the vendor from the integration vendor
The external ID of the purchase order from the integration vendor. This field is not null if this is a change order
The number of the purchase order
Whether the purchase order is closed or not
Description of the purchase order
The amount of the purchase order, in cents
100000The order date for the purchase order
The expense type of the purchase order
The display type of the purchase order
The raw status associated with the purchase order
The first address line associated with the shipping address for the purchase order
The second address line associated with the shipping address for the purchase order
The city associated with the shipping address for the purchase order
The state associated with the shipping address for the purchase order
The zip code associated with the shipping address for the purchase order
The country associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
The second address line associated with the billing address for the purchase order
The city associated with the billing address for the purchase order
The state associated with the billing address for the purchase order
The zip code associated with the billing address for the purchase order
The country associated with the billing address for the purchase order
custom_data object | nullrequired
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the invoice
The Propexo unique identifier for the vendor
The Propexo unique identifier for the purchase order. This field is not null if this is a change order
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/purchase-orders/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_invoice_id": "string",
"x_vendor_id": "string",
"x_parent_purchase_order_id": "string",
"number": "string",
"is_closed": true,
"description": "string",
"total_amount_in_cents": 100000,
"order_date": "string",
"expense_type": "string",
"display_type": "string",
"status_raw": "string",
"shipping_address_1": "string",
"shipping_address_2": "string",
"shipping_city": "string",
"shipping_state": "string",
"shipping_zip": "string",
"shipping_country": "string",
"billing_address_1": "string",
"billing_address_2": "string",
"billing_city": "string",
"billing_state": "string",
"billing_zip": "string",
"billing_country": "string",
"custom_data": "Unknown Type: object,null",
"associated_invoice_ids": [
"string"
],
"property_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"invoice_id": "string",
"vendor_id": "string",
"parent_purchase_order_id": "string"
}
]
}